using UnityEngine;

[CreateAssetMenu(menuName = "Upgrade")]
public class Upgrade : ScriptableObject
{

    public UpgradeTypes type;
    public string upgradeName;
    public int baseCost;
    public float costMultiplier;
    public Sprite shopSprite;
    [Tooltip("Multiplier of the stat that this Upgrade controls")] public float effectMultiplier;

}
